DPKG-SCANSOURCES(8)

NAME
dpkg-scansources - prog

SYNOPSIS
dpkg-scansources [switch]... binary-dir [override-file [path-prefix]] > Sources

DESCRIPTION
dpkg-scansources scans the given binary-dir for .dsc files. These are used to create a Debian source index, which is output to stdout.

The override-file, if given, is used to set priorities in the resulting index records and to override the maintainer field given in the .dsc files. See dpkg-scanpackages for the format of this file. NB: Since the override file is indexed by binary, not source, packages, there's a bit of a problem here. The current implementation uses the highest priority of all the binary packages produced by a .dsc file for the priority of the source package, and the override entry for the first binary package listed in the .dsc file to modify maintainer information. This might change.

The path-prefix, if given, is prepended to the directory field in the generated source index. You generally use this to make the directory fields contain the path from the top of the Debian archive hierarchy.

OPTIONS

--debug
    Turn debugging on.

--help
    Show the usage message and die.

-n, --no-sort
    Don't sort the index records. Normally they are sorted by source package name.

-s, --source-override file
    Use file as the source override file. The default is the name of the override file you specified with .src appended.

    The source override file is in a different format from the binary override file. It contains only two whitespace separated fields, the first is the source package name and the second is the section. Blank lines and comment lines are ignored in the normal manner. If a package appears in both files the source override takes precedence for setting the section.

--version
    Print the version number and exit.

SEE ALSO
dpkg-scanpackages(8)

AUTHOR
Roderick Schertler <roderick@argon.org>